function rsmgContentInitMagnificPopup() {
    jQuery('.rsmg-content-gallery > li:not(.filteredOut) .rsmg-content-item-link').magnificPopup({
        type        : 'inline',
        preloader   : false,
        gallery     : {
            enabled : true,
            preload : 0
        },
        callbacks   : {
            elementParse : function(item) {
                var item_details_wrapper    = jQuery('<div>',   {'class' : 'rsmg-content-item-details'}),
                    item_details_container  = jQuery('<div>',   {'class' : 'rsmg-content-details-container rsmg-loading'}),

                    // Item image
                    item_image_container    = jQuery('<div>',   {'class' : 'rsmg-content-details-image'}),
                    item_image              = jQuery('<img>',   {'src'   : item.src}),

                    // Item data
                    item_body_container     = jQuery('<div>',   {'class' : 'rsmg-content-details-body'}),
                    item_body_close         = jQuery('<a>',     {
                        'href'  : '#',
                        'class' : 'rsmg-content-details-close'
                    }),
                    item_title              = jQuery('<h2>',    {
                        'class' : 'rsmg-content-details-title',
                        'text'  : item.el.attr('data-item-title')
                    }),
                    item_description        = jQuery('<div>',   {
                        'class' : 'rsmg-content-details-description',
                        'text'  : item.el.attr('data-item-description')
                    }),

                    // Loader
                    item_details_loader     = jQuery('<span>',  {'class' : 'rsmg-details-loader'});

                // Item image
                item_image_container.append(item_image);

                // Item details
				if ((item_title.html() != '') || (item_description.html() != '')) {
					item_body_container.append(item_body_close);
				}
                if (item_title.html() != '') {
                    item_body_container.append(item_title);
                }
                if (item_description.html() != '') {
                    item_body_container.append(item_description);
                }

                // Item structure
                if (item_image_container.html() != '') {
                    item_details_container.append(item_image_container);
                }
                if (item_body_container.html() != '') {
                    item_details_container.append(item_body_container);
                }

                item_image.css('max-height', item.el.attr('data-max-height') + 'px');
                item_image.css('max-width', item.el.attr('data-max-width') + 'px');
                item_details_wrapper.css('max-width', item.el.attr('data-max-width') + 'px');

                item_details_wrapper.append(item_details_container);
                item_details_wrapper.append(item_details_loader);

                item.src = item_details_wrapper;
            },
            change      : function() {
                jQuery(this.content).find('img').on('load', function() {
                    jQuery(this).closest('.rsmg-content-details-container').removeClass('rsmg-loading');
                    jQuery(this).closest('.rsmg-content-details-container').find('~ .rsmg-details-loader').remove();
                });

                setTimeout(function() {
                    jQuery('.rsmg-content-details-body').removeClass('rsmg-show');
                    jQuery('.rsmg-content-details-body').addClass('rsmg-show');

                    jQuery('.rsmg-content-details-close').on('click', function(e) {
                        e.preventDefault();
                        jQuery(this).closest('.rsmg-content-details-body').removeClass('rsmg-show');
                    });
                }, 100);
            }
        }
    });
}

jQuery(document).ready(function() {
	if (typeof rsmgContentInitMagnificPopup == 'function') {
		rsmgContentInitMagnificPopup();
	}
});